Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040318
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Sessionsmajoralways2019-03-05 14:432019-03-21 13:31
ReporteranderarangurenView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040318: pOSSBusinessDate is changing the Date to the day before when the client is in another time zone than the server

DescriptionpOSSBusinessDate is changing the Date to the day before when the client is in another time zone than the server
Steps To Reproduce1. Close the store from the backend (Time zone in the server is GMT+1)
2. Open the store from the backend with the current date(05-03-2019)
3. Go to the Web POS and complete some orders
4. Change the time zone of the client to GMT -6 (Toronto, Canada)
5. Complete another order
6. Go to the backend to Data Import Entries window and see that the pOSSBusinessDate of the JSON is correct (05-03-2019)
BUT the business date from Sales Order window is the day before (04-03-2019)
TagsNo tags attached.
Attached Filespatch file icon issue 40318 source sessions.patch [^] (1,090 bytes) 2019-03-07 14:37 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039565 closedjavierRodriguez pOSSBusinessDate is changing the Date to the day before when the client is in another time zone than the server 

-  Notes
(0110340)
hgbot (developer)
2019-03-11 11:10

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: de76c7fe1b0ab0e879967bc9c4abf672cf342131
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Mar 11 15:39:54 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/de76c7fe1b0ab0e879967bc9c4abf672cf342131 [^]

Related to issue 40318 : Business Date should be normalized while completing the receipt

* In PreOrderSave hook, pOSSBusinessDate should be normalized based on server date to support different timezones

---
M web/org.openbravo.retail.sessions/js/components/ordersavehook.js
---
(0110545)
jorge-garcia (developer)
2019-03-21 13:31

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-03-05 14:43 anderaranguren New Issue
2019-03-05 14:43 anderaranguren Assigned To => Retail
2019-03-05 14:43 anderaranguren Triggers an Emergency Pack => No
2019-03-05 14:44 anderaranguren Relationship added related to 0039565
2019-03-05 15:23 rafaroda Issue Monitored: rafaroda
2019-03-06 13:17 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-03-06 13:17 ranjith_qualiantech_com Status new => scheduled
2019-03-07 14:37 ranjith_qualiantech_com File Added: issue 40318 source sessions.patch
2019-03-11 11:10 hgbot Checkin
2019-03-11 11:10 hgbot Note Added: 0110340
2019-03-12 06:23 ranjith_qualiantech_com Status scheduled => resolved
2019-03-12 06:23 ranjith_qualiantech_com Resolution open => fixed
2019-03-21 13:31 jorge-garcia Review Assigned To => jorge-garcia
2019-03-21 13:31 jorge-garcia Note Added: 0110545
2019-03-21 13:31 jorge-garcia Status resolved => closed
2019-03-21 13:31 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker